<?php
/******************************************************************************/
//                                                                            //
//                           InstantCMS v1.10.6                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2015                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/
    /*
     * Доступны объекты $inCore $inUser $inPage($this) $inConf $inDB
     */
    // Получаем количество модулей на нужные позиции
    $mod_count['top']     = $this->countModules('top');
    $mod_count['topmenu'] = $this->countModules('topmenu');
    $mod_count['sidebar'] = $this->countModules('sidebar');
	$mod_count['left'] = $this->countModules('left');	
    // подключаем jQuery и js ядра в самое начало
    $this->prependHeadJS('core/js/common.js');
    $this->prependHeadJS('includes/jquery/jquery.js');
    // Подключаем стили шаблона
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/bootstrap.css');
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/responsive.css');	
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/newcss.css');	
	
    // Подключаем colorbox (просмотр фото)
    $this->addHeadJS('includes/jquery/colorbox/jquery.colorbox.js');
    $this->addHeadCSS('includes/jquery/colorbox/colorbox.css');
    $this->addHeadJS('includes/jquery/colorbox/init_colorbox.js');
    // LANG фразы для colorbox
    $this->addHeadJsLang(array('CBOX_IMAGE','CBOX_FROM','CBOX_PREVIOUS','CBOX_NEXT','CBOX_CLOSE','CBOX_XHR_ERROR','CBOX_IMG_ERROR', 'CBOX_SLIDESHOWSTOP', 'CBOX_SLIDESHOWSTART'));

?>
<!DOCTYPE html>
<html lang="ru">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php $this->printHead(); ?>
<?php if($inUser->is_admin){ ?>
<script src="/admin/js/modconfig.js" type="text/javascript"></script>
<link href="/templates/<?php echo TEMPLATE; ?>/css/modconfig.css" rel="stylesheet" type="text/css" />
<?php } ?>
<!--[if lt IE 9]>
            <script src="/templates/<?php echo TEMPLATE; ?>/js/html5shiv.js"></script>
            <script src="/templates/<?php echo TEMPLATE; ?>/js/respond.min.js"></script>
            <script src="/templates/<?php echo TEMPLATE; ?>/js/css3-mediaqueries.js"></script>
            <link rel="stylesheet" href="/templates/<?php echo TEMPLATE; ?>/css/ie.css" type="text/css" media="all" />
        <![endif]-->
		
<!-- SmartMenus jQuery init -->
<script type="text/javascript">
	$(function() {
		$('#mainmenu').smartmenus({
			mainMenuSubOffsetX: -1,
			subMenusSubOffsetX: 10,
			subMenusSubOffsetY: 0
		});
		$('#mainmenu').smartmenus('keyboardSetHotkey', 123, 'shiftKey');
	});
</script>
		
<!-- SmartMenus jQuery init -->
<script type="text/javascript">
	$(function() {
		$('#main-menu').smartmenus({
		    mainMenuSubOffsetX: -1,
			subMenusSubOffsetX: 10,
			subMenusSubOffsetY: 0
		});
		$('#main-menu').smartmenus('keyboardSetHotkey', 123, 'shiftKey');
	});
</script>

</head>
<body>
<?php if ($inConf->siteoff && $inUser->is_admin) { ?>
<div style="margin:4px; padding:5px; border:solid 1px red; background:#FFF; position: fixed;opacity: 0.8; z-index:999"><?php echo $_LANG['SITE_IS_DISABLE']; ?></div>
<?php } ?>
<div class="container">
  <header>
    <div class="row header-1">
      
      <div class="col-xs-2">
        <?php if ($inConf->is_change_lang){

                        $langs = cmsCore::getDirsList('/languages'); ?>
        <div onclick="$('#langs-select').toggle().toggleClass('active_lang');$(this).toggleClass('active_lang'); return false;" title="<?php echo $_LANG['TEMPLATE_INTERFACE_LANG']; ?>" id="langs" style="background-image:  url(/templates/<?php echo TEMPLATE; ?>/images/icons/langs/<?php echo $inConf->lang; ?>.png);"> <span>&#9660;</span>
          <ul id="langs-select">
            <?php foreach ($langs as $lng) { ?>
            <li onclick="setLang('<?php echo $lng; ?>'); return false;" style="background-image:  url(/templates/<?php echo TEMPLATE; ?>/images/icons/langs/<?php echo $lng; ?>.png);"><?php echo $lng; ?></li>
            <?php } ?>
          </ul>
        </div>
        <?php } ?>
		</div>
		<div class="col-xs-10">
		<div class="user_menu_module">
        <?php $this->printModules('header'); ?>
		</div>
		</div>
		<div class="col-xs-12"> 
		<a href="/" rel="home"><img class="logotip" src="/templates/_default_/images/logo.png" border="0" /></a> 
		</div>
    </div>
    <div class="row header-2">
      <div class="col-xs-12">
       
          <?php $this->printModules('topmenu'); ?>
     
      </div>
    </div>
  </header>
  <?php $this->printPathway('&rarr;'); ?>
  <?php if ($mod_count['top']) { ?>
  <div class="row">
    <div class="col-xs-12">
      <?php $this->printModules('top'); ?>
    </div>
  </div>
  <?php } ?>
  <div class="row">
    <?php if ($mod_count['sidebar']) { ?>
    <?php if ($mod_count['left']){ ?>
    <!-- ***************** all ******************* -->
    <div class="col-md-3">
      <?php  $this->printModules('left'); ?>
    </div>
    <div class="col-md-6">
      <?php  $this->printModules('maintop'); ?>
      <?php $messages = cmsCore::getSessionMessages(); ?>
      <?php if ($messages) { ?>
      <div class="sess_messages">
        <?php foreach($messages as $message){ ?>
        <?php echo $message; ?>
        <?php } ?>
      </div>
      <?php } ?>
      <?php if($this->page_body){ ?>
      <?php $this->printBody(); ?>
      <?php } ?>
      <?php  $this->printModules('mainbottom'); ?>
    </div>
    <div class="col-md-3">
      <?php  $this->printModules('sidebar'); ?>
    </div>
    <!-- ************************************ -->
    <?php } else { ?>
    <!-- ****************** center  right ****************** -->
    <div class="col-md-8">
      <?php  $this->printModules('maintop'); ?>
      <?php $messages = cmsCore::getSessionMessages(); ?>
      <?php if ($messages) { ?>
      <div class="sess_messages">
        <?php foreach($messages as $message){ ?>
        <?php echo $message; ?>
        <?php } ?>
      </div>
      <?php } ?>
      <?php if($this->page_body){ ?>
      <?php $this->printBody(); ?>
      <?php } ?>
      <?php  $this->printModules('mainbottom'); ?>
    </div>
    <div class="col-md-4">
      <?php  $this->printModules('sidebar'); ?>
    </div>
    <!-- ************************************ -->
    <?php } ?>
    <?php } else { ?>
    <?php if ($mod_count['left']){ ?>
    <!-- ****************** left center ****************** -->
    <div class="col-md-4">
      <?php  $this->printModules('left'); ?>
    </div>
    <div class="col-md-8">
      <?php  $this->printModules('maintop'); ?>
      <?php $messages = cmsCore::getSessionMessages(); ?>
      <?php if ($messages) { ?>
      <div class="sess_messages">
        <?php foreach($messages as $message){ ?>
        <?php echo $message; ?>
        <?php } ?>
      </div>
      <?php } ?>
      <?php if($this->page_body){ ?>
      <?php $this->printBody(); ?>
      <?php } ?>
      <?php  $this->printModules('mainbottom'); ?>
    </div>
    <!-- ************************************ -->
    <?php } else { ?>
    <!-- ****************** center ****************** -->
    <div class="col-md-12">
      <?php  $this->printModules('maintop'); ?>
      <?php $messages = cmsCore::getSessionMessages(); ?>
      <?php if ($messages) { ?>
      <div class="sess_messages">
        <?php foreach($messages as $message){ ?>
        <?php echo $message; ?>
        <?php } ?>
      </div>
      <?php } ?>
      <?php if($this->page_body){ ?>
      <?php $this->printBody(); ?>
      <?php } ?>
      <?php  $this->printModules('mainbottom'); ?>
    </div>
    <!-- ************************************ -->
    <?php } ?>
    <?php } ?>
  </div>
  <footer>
    <div class="row footer-row">
      <div class="col-xs-12 text-center" id="copyright">
        <?php $this->printSitename(); ?>
        &copy; <?php echo date('Y'); ?>. All Rights Reserved.</div>
    </div>
  </footer>
</div>
<script src="/templates/<?php echo TEMPLATE; ?>/js/bootstrap.min.js"></script>
<script src="/templates/<?php echo TEMPLATE; ?>/js/jquery.smartmenus.js"></script>
<script src="/templates/<?php echo TEMPLATE; ?>/js/jquery.smartmenus.keyboard.js"></script>
</body>
</html>